Bulk Move Folder
curl --request PATCH \
--url https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders/bulk/move \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_parent_id": "59ac8aa5-c569-4c82-8e3d-c10dd026813a",
"folder_ids": [
"7ed64692-5a5a-4d21-aef1-63c73ea5650e",
"0336d0c2-c1aa-4041-b956-1d4afd2935e7"
]
}
'import requests
url = "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders/bulk/move"
payload = {
"new_parent_id": "59ac8aa5-c569-4c82-8e3d-c10dd026813a",
"folder_ids": ["7ed64692-5a5a-4d21-aef1-63c73ea5650e", "0336d0c2-c1aa-4041-b956-1d4afd2935e7"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
new_parent_id: '59ac8aa5-c569-4c82-8e3d-c10dd026813a',
folder_ids: ['7ed64692-5a5a-4d21-aef1-63c73ea5650e', '0336d0c2-c1aa-4041-b956-1d4afd2935e7']
})
};
fetch('https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders/bulk/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders/bulk/move"
payload := strings.NewReader("{\n \"new_parent_id\": \"59ac8aa5-c569-4c82-8e3d-c10dd026813a\",\n \"folder_ids\": [\n \"7ed64692-5a5a-4d21-aef1-63c73ea5650e\",\n \"0336d0c2-c1aa-4041-b956-1d4afd2935e7\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders/bulk/move")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"new_parent_id\": \"59ac8aa5-c569-4c82-8e3d-c10dd026813a\",\n \"folder_ids\": [\n \"7ed64692-5a5a-4d21-aef1-63c73ea5650e\",\n \"0336d0c2-c1aa-4041-b956-1d4afd2935e7\"\n ]\n}"
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.patch("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders/bulk/move")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"new_parent_id\": \"59ac8aa5-c569-4c82-8e3d-c10dd026813a\",\n \"folder_ids\": [\n \"7ed64692-5a5a-4d21-aef1-63c73ea5650e\",\n \"0336d0c2-c1aa-4041-b956-1d4afd2935e7\"\n ]\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders/bulk/move");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"new_parent_id\": \"59ac8aa5-c569-4c82-8e3d-c10dd026813a\",\n \"folder_ids\": [\n \"7ed64692-5a5a-4d21-aef1-63c73ea5650e\",\n \"0336d0c2-c1aa-4041-b956-1d4afd2935e7\"\n ]\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders/bulk/move",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'new_parent_id' => '59ac8aa5-c569-4c82-8e3d-c10dd026813a',
'folder_ids' => [
'7ed64692-5a5a-4d21-aef1-63c73ea5650e',
'0336d0c2-c1aa-4041-b956-1d4afd2935e7'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"message": "Folders Updated Successfully",
"success": true
}{
"message": "Invalid Request",
"success": false
}{
"code": "auth_type_not_found",
"message": "Could not determine authentication type from request. Please provide a valid Authorization header or X-API-Key header.",
"success": false
}{
"message": "Resource not found",
"success": false
}{
"message": "Invalid Request",
"errors": [
{
"field": "field_name",
"code": "validation_required",
"message": "This field is required"
}
],
"success": false
}{
"message": "Internal server error",
"success": false
}Folder
Bulk Move Folder
Moves multiple folders to a new parent folder within the same library in a single operation. This endpoint is useful for reorganizing folder structures efficiently without making multiple API calls.
PATCH
/
libraries
/
{libraryId}
/
folders
/
bulk
/
move
Bulk Move Folder
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the library.
Body
application/json
Response
The response is of type object.
⌘I